Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618181 - error 2 reading header: cpio: Bad magic
error 2 reading header: cpio: Bad magic
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 07:00 EDT by Kamil Páral
Modified: 2010-08-02 14:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-14.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 17:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
graphical install showing beginning of the error (4.05 KB, image/png)
2010-07-26 07:00 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-07-26 07:00:18 EDT
Created attachment 434384 [details]
graphical install showing beginning of the error

Description of problem:
When installing Fedora 13 I see error this in the serial console when retrieving install.img:
"error 2 reading header: cpio: Bad magic"

Example screen:
Welcome to Fedora for x86_64







    ┌────────────────────────────┤ Retrieving ├────────────────────────────┐    
    │                                                                      │    
    │ Retrieving /install.img...                                           │    
    │                                                                      │    
    │                                   2%                                 │    
    │                                                                      │    
    └──────────────────────────────────────────────────────────────────────┘    
   error 2 reading header: cpio: Bad magic







  <Tab>/<Alt-Tab> between elements  | <Space> selects | <F12> next screen

In graphical install this error is still seen, but only the first two letters of it (see attachment).

The error doesn't seem to be causing some problems, it just looks bad.

Version-Release number of selected component (if applicable):
13.42

How reproducible:
always

Steps to Reproduce:
1. virt-install --name Test --ram 512 --arch=x86_64 --disk /dev/vg/virt_Test,size=15  --os-variant fedora13 --location http://download.englab.brq.redhat.com/pub/fedora/linux/releases/13/Fedora/x86_64/os/ --extra-args "console=ttyS0 serial lang=en keymap=us ip=dhcp ipv6=auto vnc" --nographics
Comment 1 Brian Lane 2010-07-26 12:40:53 EDT
I need to pull my fix for bug 588671 into master.
Comment 2 Fedora Update System 2010-08-02 14:49:40 EDT
anaconda-14.14-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/anaconda-14.14-1.fc14

Note You need to log in before you can comment on or make changes to this bug.